## org.apache.myfaces.taglib.html
Class HtmlSelectOneRadioTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlInputTagBase
                      org.apache.myfaces.taglib.html.HtmlSelectOneRadioTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlSelectOneRadioTag

public abstract class HtmlSelectOneRadioTagBase
extends HtmlInputTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSelectOneRadioTagBase()`

Method Summary
`void` `release()`
`void` `setAccesskey(java.lang.String accesskey)`
`void` `setAlt(java.lang.String alt)`
`void` `setBorder(java.lang.String border)`
`void` `setDatafld(java.lang.String datafld)`
`void` `setDataformatas(java.lang.String dataformatas)`
`void` `setDatasrc(java.lang.String datasrc)`
`void` `setDisabled(java.lang.String disabled)`
`void` `setDisabledClass(java.lang.String disabledClass)`
`void` `setEnabledClass(java.lang.String enabledClass)`
`void` `setLayout(java.lang.String layout)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnchange(java.lang.String onchange)`
`void` `setOnfocus(java.lang.String onfocus)`
`void` `setOnselect(java.lang.String onselect)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setReadonly(java.lang.String readonly)`
`void` `setTabindex(java.lang.String tabindex)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlInputTagBase
`setImmediate, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSelectOneRadioTagBase

    public HtmlSelectOneRadioTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTagBase`

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### setAlt

    public void setAlt(java.lang.String alt)

### setBorder

    public void setBorder(java.lang.String border)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setDisabled

    public void setDisabled(java.lang.String disabled)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnchange

    public void setOnchange(java.lang.String onchange)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setOnselect

    public void setOnselect(java.lang.String onselect)

### setReadonly

    public void setReadonly(java.lang.String readonly)

  Overrides:
    `setReadonly` in class `HtmlInputTagBase`

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### setDisabledClass

    public void setDisabledClass(java.lang.String disabledClass)

### setEnabledClass

    public void setEnabledClass(java.lang.String enabledClass)

### setLayout

    public void setLayout(java.lang.String layout)